> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all end user types



## OpenAPI

````yaml get /agency/twilio/end-user-types
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/end-user-types:
    get:
      tags:
        - Twilio
      summary: Get all end user types
      operationId: TwilioController_getEndUserTypes
      parameters: []
      responses:
        '200':
          description: Returns list of end user types
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sid:
                      type: string
                      description: End user type SID
                    friendly_name:
                      type: string
                      description: Friendly name
                    machine_name:
                      type: string
                      description: Machine name
                    fields:
                      type: array
                      items:
                        type: object
                      description: Type fields
                    url:
                      type: string
                      description: Resource URL
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````